echo off
echo =============================================
echo === Disk space saving from TechyGeeksHome ===
echo === https://blog.techygeekshome.info      ===
echo === August 2022 - techygeeks@outlook.com  ===
echo =============================================
pause
echo off
cls
echo Stopping Windows Update Service...
net stop "Windows Update"
echo Deleting Windows Update Cache...
del /q "C:\Windows\SoftwareDistribution\*"
FOR /D %%p IN ("C:\Windows\SoftwareDistribution\*.*") DO rmdir "%%p" /s /q
echo Restarting Windows Update Service...
net start  "Windows Update"
echo Clearing Temp Files
del c:\windows\temp\*.* /s /f /q
echo Cleaning Thumbnail Database
attrib -r -s -h "%userprofile%\AppData\Local\*.db"
attrib -r -s -h "%userprofile%\AppData\Local\Microsoft\Windows\Explorer\*.db"
del "%userprofile%\AppData\Local\*.db"
del "%userprofile%\AppData\Local\Microsoft\Windows\Explorer\*.db"
explorer
echo Running Service Pack Clean up...
Dism.exe /Online /Cleanup-Image /AnalyzeComponentStore
Dism.exe /online /Cleanup-Image /StartComponentCleanup
Dism.exe /online /Cleanup-Image /StartComponentCleanup /ResetBase
Dism.exe /online /Cleanup-Image /SPSuperseded
echo Cleaning Local Branchcache...
netsh branchcache flush
echo Cleaning SCCM local cache
clear-sccm-cache.vbs
echo Compressing Installer Files
compact /c c:\windows\installer\*.*
cls
echo Cleaning Windows Error Reporting Files
forfiles -p "C:\ProgramData\Microsoft\Windows\WER\ReportArchive" -d -90 -c "cmd /c del @PATH" /q
forfiles -p "C:\ProgramData\Microsoft\Windows\WER\ReportQueue" -d -90 -c "cmd /c del @PATH" /q
cls
echo Space saving complete...
explorer "https://blog.techygeekshome.info/thank-you-for-downloading/?utm_source=ddiskspacetool&utm_medium=run&utm_campaign=diskspacesaver"
pause